| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions | Variables
Containers Namespace Reference

Containers namespace. More...

## Classes
struct | array
class | find
struct | hashmap
struct | key_traits
| Key traits class. More...
class | KeyedObjectManager
| KeyedObjectManager Class to manage keyed objects. More...
struct | map
struct | traits
| Container traits class. More...
struct | vector

## Typedefs
typedef long(* | MANIPULATOR) (void *)
| Object manipulator type definition. More...
typedef KeyedObjectManager< map > | Map
| Forward declaration of specialized std::map-like object manager. More...
typedef KeyedObjectManager< hashmap > | HashMap
| Forward declaration of specialized std::hashmap-like object manager. More...
typedef KeyedObjectManager< vector > | Vector
| Forward declaration of specialized std::vector-like object manager. More...
typedef KeyedObjectManager< array > | Array
| Forward declaration of specialized redirection array object manager. More...

## Enumerations
enum | { OBJ_NOT_FOUND, OBJ_DELETED, OBJ_ERASED, OBJ_INSERTED, OBJ_CANNOT_INSERT }

## Functions
GAUDI_API void | cannotInsertToContainer ()
| Function to be called to indicate that an object cannot be inserted to the container. More...
GAUDI_API void | containerIsInconsistent ()
| Function to be called to indicate that the container is found to be inconsistent. More...
GAUDI_API void | invalidContainerOperation ()
| Function to be called to indicate that an operation should be performed on the container or it's contained data, which is not allowed. More...
GAUDI_API void | cannotAssignObjectKey ()
| Function to be called when an object key cannot be assigned. More...

## Variables
struct GAUDI_API | hashmap
| Parametrisation class for hashmap-like implementation. More...
struct GAUDI_API | map
| Parametrisation class for map-like implementation. More...
struct GAUDI_API | array
| Parametrisation class for redirection array - like implementation. More...
struct GAUDI_API | vector
| Parametrisation class for vector-like implementation. More...

## Detailed Description

Containers namespace.

## Typedef Documentation

typedef KeyedObjectManager< array > Containers::Array

Forward declaration of specialized redirection array object manager.

Definition at line 101 of file KeyedObjectManager.h.

typedef KeyedObjectManager< hashmap > Containers::HashMap

Forward declaration of specialized std::hashmap-like object manager.

Definition at line 97 of file KeyedObjectManager.h.

typedef long(* Containers::MANIPULATOR) (void *)

Object manipulator type definition.

Definition at line 21 of file KeyedObjectManager.h.

typedef KeyedObjectManager< map > Containers::Map

Forward declaration of specialized std::map-like object manager.

Definition at line 95 of file KeyedObjectManager.h.

typedef KeyedObjectManager< vector > Containers::Vector

Forward declaration of specialized std::vector-like object manager.

Definition at line 99 of file KeyedObjectManager.h.

## Enumeration Type Documentation

anonymous enum

Enumerator
OBJ_NOT_FOUND | Object not present in the container.
OBJ_DELETED | Object was removed from the container and deleted.
OBJ_ERASED | Object was removed, but not deleted.
OBJ_INSERTED | Object was inserted into the container.
OBJ_CANNOT_INSERT | Cannot insert object into container.

Definition at line 19 of file KeyedTraits.h.

19 {
20 OBJ_NOT_FOUND,
21 OBJ_DELETED,
22 OBJ_ERASED,
23 OBJ_INSERTED,
24 OBJ_CANNOT_INSERT
25 };
Containers::OBJ_INSERTED
Object was inserted into the container.
Definition: KeyedTraits.h:23
Containers::OBJ_DELETED
Object was removed from the container and deleted.
Definition: KeyedTraits.h:21
Containers::OBJ_CANNOT_INSERT
Cannot insert object into container.
Definition: KeyedTraits.h:24
Containers::OBJ_ERASED
Object was removed, but not deleted.
Definition: KeyedTraits.h:22
Containers::OBJ_NOT_FOUND
Object not present in the container.
Definition: KeyedTraits.h:20

## Function Documentation

void Containers::cannotAssignObjectKey | ( |  | ) |

Function to be called when an object key cannot be assigned.

Definition at line 72 of file KeyedObjectManager.cpp.

72 {
73 throw GaudiException("Cannot assign key to keyed object! Object already has a key.",
74 "KeyedObject",
75 0);
76 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23

void Containers::cannotInsertToContainer | ( |  | ) |

Function to be called to indicate that an object cannot be inserted to the container.

Internally an exception is thrown.

Definition at line 77 of file KeyedObjectManager.cpp.

77 {
78 throw GaudiException("Cannot insert element to Keyed Container!",
79 "KeyedContainer",
80 0);
81 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23

void Containers::containerIsInconsistent | ( |  | ) |

Function to be called to indicate that the container is found to be inconsistent.

Internally an exception is thrown.

Definition at line 83 of file KeyedObjectManager.cpp.

83 {
84 throw GaudiException("Keyed Container structures are inconsistent - severe problem!",
85 "KeyedContainer",
86 0);
87 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23

void Containers::invalidContainerOperation | ( |  | ) |

Function to be called to indicate that an operation should be performed on the container or it's contained data, which is not allowed.

Internally an exception is thrown.

Definition at line 89 of file KeyedObjectManager.cpp.

89 {
90 throw GaudiException("Keyed Container cannot satisfy request - severe problem!",
91 "KeyedContainer",
92 0);
93 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:23

## Variable Documentation

struct GAUDI_API Containers::array

Parametrisation class for redirection array - like implementation.

Definition at line 27 of file KeyedObjectManager.h.

struct GAUDI_API Containers::hashmap

Parametrisation class for hashmap-like implementation.

Definition at line 23 of file KeyedObjectManager.h.

struct GAUDI_API Containers::map

Parametrisation class for map-like implementation.

Definition at line 25 of file KeyedObjectManager.h.

struct GAUDI_API Containers::vector

Parametrisation class for vector-like implementation.

Definition at line 29 of file KeyedObjectManager.h.